//
//  test3.cpp
//  Lecture3CPP
//
//  Created by presentations on 11/1/17.
//
//


#include <iostream>
using namespace std;

class Date {
public:
    Date( int m = 1, int d = 1, int y = 1990 ); // default constructor
    void print();
private:
    int month;
    int day;
    int year;
}; // end class Date (interface)

Date::Date( int m, int d, int y ) // no range checking is done
{
    month = m;  day = d;  year = y;
} // end Date constructor

void Date::print()       // Print the Date in the form mm-dd-yyyy
{
    cout << month << '-' << day << '-' << year << endl;
}

int main()
{
    Date date1( 7, 4, 1993 ), date2;  // date2 defaults to 1/1/90
    
    cout << "date1 = ";
    date1.print();
    cout << "\ndate2 = ";
    date2.print();
    
    date2 = date1;        // assignment by default memberwise copy
    cout << "\n\nAfter default memberwise copy, date2 = ";
    date2.print();
    
    return 0;
} // end function main